<?php
/*Skrypt pochodzi z książki "PHP. 101 praktycznych skryptów"
  autor: Marcin Lis                    http://marcinlis.com*/
$timeout = 120;

function writeData()
{  
  $time = time();
  $addr = $_SERVER['REMOTE_ADDR'];
  $agent = $_SERVER['HTTP_USER_AGENT'];

  $query = "INSERT INTO STATS (TIME, ADDR, AGENT) VALUES(";
  $query .= "'$time', '$addr', '$agent')";

  if(!$result = mysql_query($query)){
    //echo("Problem z bazą danych: odrzucone zapytanie");
  }
}

function getUsersCount()
{
  $timeout = $GLOBALS['timeout'];

  if(!$link = mysql_connect("localhost", "test", "test")){
    //echo("Problem z połączeniem z bazą danych.");
    return false;
  }
  if(!mysql_select_db("test")){
    //echo("Problem z połączeniem z bazą danych.");
    mysql_close($link);
    return false;
  }

  writeData();

  $val = time() - $GLOBALS['timeout'];
  $query = "SELECT COUNT(*) FROM STATS WHERE TIME > $val";
  if(!$result = mysql_query($query)){
    //echo("Problem z bazą danych: odrzucone zapytanie");
    return false;
  }
  if(!($row = mysql_fetch_row($result))){
    mysql_close($link);
    return false;
  }
  mysql_close($link);
  return $row[0];
}

if(($count = getUsersCount()) !== false){
  if($count == 1){
    echo("Ta strona jest przeglądana przez 1 użytkownika.");
  }
  else{
    echo("W ciągu ostatnich $timeout sekund strona była ");
    echo("przeglądana przez $count użytkowników.");
  }
}
else{
  echo ("Liczba użytkowników przeglądających stronę nie jest dostępna.");
}
?>
